Orders
Get Order
Returns details for a specific order.
GET
/
v1
/
api
/
orders
/
{id}
Get order
curl --request GET \
--url https://api.dotprediction.io/v1/api/orders/{id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.dotprediction.io/v1/api/orders/{id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.dotprediction.io/v1/api/orders/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"order": {
"order_id": "<string>",
"platform": "<string>",
"market_id": "<string>",
"outcome": "<string>",
"price": 123,
"size": 123,
"filled_size": 123,
"remaining_size": 123,
"average_fill_price": 123,
"status": "<string>",
"time_in_force": "<string>",
"client_order_id": "<string>",
"fees": {
"maker_fee": 123,
"taker_fee": 123,
"total_fee": 123
},
"created_at": "<string>",
"updated_at": "<string>",
"expiration": "<string>"
},
"meta": {
"platform": "<string>",
"request_time_ms": 123,
"idempotent_replay": true
}
}{
"error": {
"status": 123,
"message": "<string>",
"resolution": "<string>",
"error_text": "<string>"
}
}{
"error": {
"status": 123,
"message": "<string>",
"resolution": "<string>",
"error_text": "<string>"
}
}Authorizations
API key for authentication. Generate one via the dashboard or the /v1/api/auth/api-keys endpoint.
Path Parameters
The order ID.
Query Parameters
The platform the order was placed on.
Available options:
kalshi, polymarket, limitless Credential ID to use.
⌘I
Get order
